Package org.optaplanner.core.impl.score.stream.bavet.bi

## Class BavetJoinBridgeBiNode<A,​B>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode
  - - org.optaplanner.core.impl.score.stream.bavet.bi.BavetAbstractBiNode<A,​B>
    - - org.optaplanner.core.impl.score.stream.bavet.bi.BavetJoinBridgeBiNode<A,​B>

- All Implemented Interfaces:
    `BavetJoinBridgeNode`, `BavetNode`

      public final class BavetJoinBridgeBiNode<A,​B>
      extends BavetAbstractBiNode<A,​B>
      implements BavetJoinBridgeNode

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode

      `nodeOrder, session`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BavetJoinBridgeBiNode​(BavetConstraintSession session, int nodeOrder, BavetAbstractBiNode<A,​B> parentNode, BiFunction<A,​B,​Object[]> mapping, BavetIndex<BavetJoinBridgeBiTuple<A,​B>> index)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BavetJoinBridgeBiTuple<A,​B>` | `createTuple​(BavetAbstractBiTuple<A,​B> parentTuple)` |
    `BavetIndex<BavetJoinBridgeBiTuple<A,​B>>` | `getIndex()` |
    `void` | `refresh​(BavetJoinBridgeBiTuple<A,​B> tuple)` |
    `void` | `setChildTupleRefresher​(Consumer<BavetJoinBridgeBiTuple<A,​B>> childTupleRefresher)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.bi.BavetAbstractBiNode

      `addChildNode`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode

      `getNodeOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.score.stream.bavet.common.BavetNode

      `getNodeOrder`

- - ### Constructor Detail

    - #### BavetJoinBridgeBiNode

          public BavetJoinBridgeBiNode​(BavetConstraintSession session,
                                       int nodeOrder,
                                       BavetAbstractBiNode<A,​B> parentNode,
                                       BiFunction<A,​B,​Object[]> mapping,
                                       BavetIndex<BavetJoinBridgeBiTuple<A,​B>> index)

  - ### Method Detail

    - #### createTuple

          public BavetJoinBridgeBiTuple<A,​B> createTuple​(BavetAbstractBiTuple<A,​B> parentTuple)

      Specified by:
        `createTuple` in class `BavetAbstractBiNode<A,​B>`

    - #### refresh

          public void refresh​(BavetJoinBridgeBiTuple<A,​B> tuple)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getIndex

          public BavetIndex<BavetJoinBridgeBiTuple<A,​B>> getIndex()

    - #### setChildTupleRefresher

          public void setChildTupleRefresher​(Consumer<BavetJoinBridgeBiTuple<A,​B>> childTupleRefresher)